<h2><%= H(Model.Title) %></h2>
<div class="row">
	<div class="col-md-8 col-sm-8 col-xs-12">
		<%= H(Model.RecordCount) %> KitLabels found. Showing <%= H(Model.PageSize) %> records per page.
		<%= HTML.LinkToExt("<i class='bi bi-plus-square-fill'></i> New","KitLabels", "Create", empty, Array("class", "btn btn-xs btn-primary")) %>
	</div>
            <div class="col-md-4 col-sm-4 col-xs-12">

	    <%= HTML.FormTag("KitLabels", "Search", empty, empty) %>

	        <div class="col-md-10 col-sm-10 col-xs-12">
		        <label class="sr-only" for="search">Search</label>
		            <div class="input-group">
			            <input type="text" class="form-control input-search" value='<%= Choice(Request.Form.Count = 0,Request.QueryString("q"),Request.Form("q")) %>' name="q" id="search" placeholder="Search">
			            <span class="input-group-addon group-icon"><span class="glyphicon glyphicon-eye-open"></span>
                        <button type="submit" class="btn btn-success"><i class="bi bi-search"></i>Search</buttton>
		            </div>
	        </div>

        </form>
    </div>
</div>
<table id="KitLabels" class="table table-striped">
	<thead>
		<tr>
			<th></th>
			<th style="text-align: left">ID</th>
			<th style="text-align: left">KitId</th>
			<th style="text-align: left">OutboundSerial</th>
			<th style="text-align: left">InBoundSerial</th>
			<th style="text-align: left">Outbound Font Encoded</th>
			<th style="text-align: left">InBound Font Encoded</th>
			<th style="text-align: left">OutboundIMBDigits</th>
			<th style="text-align: left">InBoundIMBDigits</th>
			<th style="text-align: left">OutboundIMB</th>
			<th style="text-align: left">InBoundIMB</th>
			<th style="text-align: left">SetNumber</th>
			<th></th>
		</tr>
	</thead>
<tbody>
        <% dim it : set it = Model.KitLabels.Iterator %>
			<% dim KitLabels %>
			<% While it.HasNext %>
				<% set KitLabels = it.GetNext() %>
				<tr>
					<td>
						<%= HTML.LinkToExt("<i class='bi bi-search'></i>", "KitLabels", "Edit", Array("Id", KitLabels.ID), Array("class", "btn btn-primary")) %>
					</td>
			<td><% = H(KitLabels.ID) %></td>
			<td><% = H(KitLabels.KitId) %></td>
			<td><% = H(KitLabels.OutboundSerial) %></td>
			<td><% = H(KitLabels.InBoundSerial) %></td>
			<td><% = H(KitLabels.OutboundIMB) %></td>
			<td><% = H(KitLabels.InBoundIMB) %></td>
			<td><% = H(KitLabels.OutboundIMBDigits) %></td>
			<td><% = H(KitLabels.InBoundIMBDigits) %></td>
			<td><img src='data:image/png;base64, <% = KitLabels.OutboundIMBPNG%>' alt='Barcode'</td>
			<td><img src='data:image/png;base64, <% = KitLabels.INBOUNDIMBPNG %>' alt='Barcode'</td>
			<td><% = H(KitLabels.SetNumber) %></td>
</tr>
					<% Wend %>
    </tbody>
</table>
		<div>
    <% If Model.CurrentPageNumber <> 1 then %>
        <%= HTML.LinkToExt("<i class='bi bi-chevron-left'></i><i class='bi bi-chevron-left'></i>", MVC.ControllerName, MVC.ActionName, Array("page_num", 1,"q", Choice(Request.Form.Count = 0,Request.QueryString("q"),Request.Form("q"))), Array("class", "btn btn-default")) %>
        &nbsp;
        <%= HTML.LinkToExt("<i class='bi bi-chevron-left'></i>", MVC.ControllerName, MVC.ActionName, Array("page_num", Model.CurrentPageNumber - 1,"q", Choice(Request.Form.Count = 0,Request.QueryString("q"),Request.Form("q"))), Array("class", "btn btn-default")) %>
&nbsp;
    <% Else %>
        <a class='btn btn-default disabled'><i class='bi bi-chevron-left'></i><i class='bi bi-chevron-left'></i></a>
        &nbsp;
        <a class='btn btn-default disabled'><i class='bi bi-chevron-left'></i></a>
        &nbsp; 
    <% End If %>
    <% If CInt(Model.CurrentPageNumber) < CInt(Model.PageCount) then %>
       <%= HTML.LinkToExt("<i class='bi bi-chevron-right'></i>", MVC.ControllerName, MVC.ActionName, Array("page_num", Model.CurrentPageNumber + 1,"q", Choice(Request.Form.Count = 0,Request.QueryString("q"),Request.Form("q"))), Array("class", "btn btn-default")) %>
       &nbsp;
       <%= HTML.LinkToExt("<i class='bi bi-chevron-right'></i><i class='bi bi-chevron-right'></i>", MVC.ControllerName, MVC.ActionName, Array("page_num", Model.PageCount,"q", Choice(Request.Form.Count = 0,Request.QueryString("q"),Request.Form("q"))), Array("class", "btn btn-default")) %>
       &nbsp;
    <% Else %>
        <a class='btn btn-default disabled'><i class='bi bi-chevron-right'></i><i class='bi bi-chevron-right'></i></a>
        &nbsp;
        <a class='btn btn-default disabled'><i class='bi bi-chevron-right'></i></a>
        &nbsp; 
<% End If %>
</div>
</div>
