<h2><%= H(Model.Title) %></h2>

<p class="alert alert-danger">Are you sure you want to delete this Kit?</p>

<%= HTML.FormTag("Kit", "DeletePost", empty, Array("class", "form-horizontal")) %>
<%= HTML.Hidden("nonce", HTMLSecurity.GetAntiCSRFToken("KitDeleteForm")) %>
<%= HTML.Hidden("Id", Model.Kit.ID) %>
<div class="col-md-10">
<div class="form-group">
     <%= HTML.Button("submit", "<i class='glyphicon glyphicon-remove'></i> Confirm Delete", "btn-danger") %>
    &nbsp;&nbsp;
     <%= HTML.LinkToExt("Cancel", "Kit", "Index", empty, Array("class", "btn btn-success")) %>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="JobNumber">JobNumber</label>
				<%= HTML.TextboxExt("JobNumber", Model.Kit.JobNumber, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Jcode">Jcode</label>
				<%= HTML.TextboxExt("Jcode", Model.Kit.Jcode, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="CreatedOn">CreatedOn</label>
				<%= HTML.TextboxExt("CreatedOn", Model.Kit.CreatedOn, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="LabelsPrinted">LabelsPrinted</label>
				<%= HTML.TextboxExt("LabelsPrinted", Model.Kit.LabelsPrinted, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="ExportedToSnailWorks">ExportedToSnailWorks</label>
				<%= HTML.TextboxExt("ExportedToSnailWorks", Model.Kit.ExportedToSnailWorks, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="InkJetJob">InkJetJob</label>
				<%= HTML.TextboxExt("InkJetJob", Model.Kit.InkJetJob, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="JobType">JobType</label>
				<%= HTML.TextboxExt("JobType", Model.Kit.JobType, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Filename">Filename</label>
				<%= HTML.TextboxExt("Filename", Model.Kit.Filename, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Cass">Cass</label>
				<%= HTML.TextboxExt("Cass", Model.Kit.Cass, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Status">Status</label>
				<%= HTML.TextboxExt("Status", Model.Kit.Status, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="OutboundSTID">OutboundSTID</label>
				<%= HTML.TextboxExt("OutboundSTID", Model.Kit.OutboundSTID, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="InboundSTID">InboundSTID</label>
				<%= HTML.TextboxExt("InboundSTID", Model.Kit.InboundSTID, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
 </div>
</div>
</form>
