<h2>Create KitLabels</h2>

<%= HTML.FormTag("KitLabels", "CreatePost", empty, empty) %>
<%= HTML.Hidden("nonce", HTMLSecurity.GetAntiCSRFToken("KitLabelsCreateForm")) %>
<hr />

<div class="form-group">
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="KitId">KitId</label>
				<%= HTML.TextboxExt("KitId", Model.KitId, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="OutboundSerial">OutboundSerial</label>
				<%= HTML.TextboxExt("OutboundSerial", Model.OutboundSerial, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="InBoundSerial">InBoundSerial</label>
				<%= HTML.TextboxExt("InBoundSerial", Model.InBoundSerial, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="OutboundIMB">OutboundIMB</label>
				<%= HTML.TextboxExt("OutboundIMB", Model.OutboundIMB, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="InBoundIMB">InBoundIMB</label>
				<%= HTML.TextboxExt("InBoundIMB", Model.InBoundIMB, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="OutboundIMBDigits">OutboundIMBDigits</label>
				<%= HTML.TextboxExt("OutboundIMBDigits", Model.OutboundIMBDigits, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="InBoundIMBDigits">InBoundIMBDigits</label>
				<%= HTML.TextboxExt("InBoundIMBDigits", Model.InBoundIMBDigits, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
		<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="OutboundIMBPNG">OutboundIMBPNG</label>
				<%= HTML.TextboxExt("OutboundIMBPNG", Model.OutboundIMBPNG, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
		<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="INBOUNDIMBPNGs">INBOUNDIMBPNG</label>
				<%= HTML.TextboxExt("INBOUNDIMBPNG", Model.INBOUNDIMBPNG, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
    <%= HTML.Button("submit", "<i class='glyphicon glyphicon-ok'></i> Create", "btn-primary") %>
    &nbsp;&nbsp;
    <%= HTML.LinkToExt("<i class='glyphicon glyphicon-remove'></i> Cancel", "KitLabels", "Index", empty, Array("class", "btn btn-default")) %>
</div>

</form>
