<h2>Create Settings</h2>

<%= HTML.FormTag("Settings", "CreatePost", empty, empty) %>
<%= HTML.Hidden("nonce", HTMLSecurity.GetAntiCSRFToken("SettingsCreateForm")) %>
<hr />

<div class="form-group">
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Name">Name</label>
				<%= HTML.TextboxExt("Name", Model.Name, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Value">Value</label>
				<%= HTML.TextboxExt("Value", Model.Value, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
    <%= HTML.Button("submit", "<i class='glyphicon glyphicon-ok'></i> Create", "btn-primary") %>
    &nbsp;&nbsp;
    <%= HTML.LinkToExt("<i class='glyphicon glyphicon-remove'></i> Cancel", "Settings", "Index", empty, Array("class", "btn btn-default")) %>
</div>

</form>
